@charset "utf-8";

/* *****************************************************************************

  requirements list style

***************************************************************************** */
/* contents-requirements */
.contents-requirements{
  padding-left: 6rem;
  padding-right: 6rem;
  margin-bottom: 21rem;
}
.contents-requirements > .-inner{
  max-width: 1100px;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (max-width: 1000px){
  /* contents-requirements */
  .contents-requirements{
    padding-left: 4rem;
    padding-right: 4rem;
    margin-bottom: 12rem;
  }
}

@media screen and (max-width: 760px){
  /* contents-requirements */
  .contents-requirements{
    padding-left: 2rem;
    padding-right: 2rem;
    margin-bottom: 15rem;
  }
}

/* requirements-list */
.requirements-list{
  display: flex;
  flex-wrap: wrap;
  column-gap: 4rem;
  row-gap: 4rem;
}
.requirements-list > .-item{
  width: calc((100% - 4rem) / 2);
}
.requirements-list > .-item > a{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2.8rem 4rem;
  border-radius: 0.6rem;
  background-color: var(--color-white);
  height: 100%;
  text-decoration: none;
  color: var(--color-text);
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  background-color: var(--color-white);
  border: 1px solid #c3c6c8;
}
.requirements-list > .-item > a:hover{
  background-color: var(--color-red);
  border-color: var(--color-red);
  border-width: 1px;
  color: var(--color-white);
}
.requirements-list > .-item > a > .-body{
  flex: 1;
  padding-right: 4rem;
}
.requirements-list > .-item > a > .-body > .-title{
  font-size: 2.2rem;
  font-weight: 700;
  line-height: 1.4;
  margin-bottom: 0.6rem;
}
.requirements-list > .-item > a > .-body > .-tag > span{
  display: inline-block;
  font-size: 1.2rem;
  font-weight: 700;
  line-height: 1;
  padding: 0.6rem 1rem;
  color: var(--color-white);
  background-color: var(--color-black);
  white-space: nowrap;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
.requirements-list > .-item > a:hover > .-body > .-tag > span{
  background-color: var(--color-white);
  color: var(--color-red);
}
.requirements-list > .-item > a > .-link{
  font-size: 1.4rem;
  font-weight: 700;
  white-space: nowrap;
  color: var(--color-text);
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
  padding-right: 4.8rem;
  background: url(/recruit/assets/images/arrow-list-red.svg) right center no-repeat;
  background-size: 3rem auto;
  line-height: 3rem;
}
.requirements-list > .-item > a:hover > .-link{
  color: var(--color-white);
  background: url(/recruit/assets/images/arrow-list-white.svg) right center no-repeat;
  background-size: 3rem auto;
}

@media screen and (max-width: 1240px){
  /* requirements-list */
  .requirements-list{
    column-gap: 3.2232vw;
    row-gap: 3.2232vw;
  }
  .requirements-list > .-item{
    width: calc((100% - 3.2232vw) / 2);
  }
  .requirements-list > .-item > a{
    padding: 2.2562vw 3.2232vw;
  }
  .requirements-list > .-item > a > .-body{
    padding-right: 3.2232vw;
  }
}

@media screen and (max-width: 1000px){
  /* requirements-list */
  .requirements-list{
    column-gap: 0;
    row-gap: 2rem;
  }
  .requirements-list > .-item{
    width: 100%;
  }
  .requirements-list > .-item > a{
    padding: 2.8rem 4rem;
  }
  .requirements-list > .-item > a > .-body{
    padding-right: 4rem;
  }
}

@media screen and (max-width: 760px){
  /* requirements-list */
  .requirements-list > .-item > a{
    padding-left: 5.2562vw;
    padding-right: 5.2562vw;
  }
  .requirements-list > .-item > a > .-body{
    padding-right: 5.2562vw;
  }
  .requirements-list > .-item > a > .-body > .-title{
    font-size: 2.1rem;
  }
}

@media screen and (max-width: 480px){
  /* requirements-list */
  .requirements-list > .-item > a{
    display: block;
    padding-top: 2rem;
    padding-bottom: 2rem;
  }
  .requirements-list > .-item > a > .-body{
    padding-right: 0;
  }
  .requirements-list > .-item > a > .-link{
    display: block;
    margin-top: 1.5rem;
    text-align: right;
    padding-right: 4.8rem;
    background-position: right center;
  }
}

/* *****************************************************************************

  requirements detail style

***************************************************************************** */
/* requirements-table */
.requirements-table{
  width: 100%;
  border-bottom: 1px solid #c3c6c8;
}
.requirements-table > tbody > tr > th,
.requirements-table > tbody > tr > td{
  padding-top: 3.5rem;
  padding-bottom: 3.5rem;
  vertical-align: top;
  text-align: left;
  position: relative;
}
.requirements-table > tbody > tr > th::before,
.requirements-table > tbody > tr > td::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: #c3c6c8;
}
.requirements-table > tbody > tr > th{
  font-weight: 700;
  color: var(--color-red);
  font-size: 1.8rem;
  line-height: 1.667;
  width: 19rem;
  padding-right: 4rem;
}
.requirements-table > tbody > tr >td{
  font-size: 1.6rem;
  line-height: 1.75;
}

@media screen and (max-width: 760px){
  /* requirements-table */
  .requirements-table > tbody > tr{
    display: block;
  }
  .requirements-table > tbody > tr > th,
  .requirements-table > tbody > tr > td{
    display: block;
    width: 100%;
    border-bottom: none;
  }
  .requirements-table > tbody > tr > th::before,
  .requirements-table > tbody > tr > td::before{
    display: none;
  }
  .requirements-table > tbody > tr >th{
    width: 100%;
    padding-top: 3rem;
    padding-right: 0;
    padding-bottom: 1.5rem;
    border-top: 1px solid #c3c6c8;
  }
  .requirements-table > tbody > tr > td{
    padding-top: 0;
    padding-bottom: 3rem;
  }
}

/*requirements-button */
.contents-requirements{
  position: relative;
}
.requirements-button-anchor{
  height: 0;
  margin-top: 6rem;
}
.requirements-button{
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  z-index: 9;
  white-space: nowrap;
}

@media screen and (max-width: 760px){
  /*requirements-button */
  .requirements-button-anchor{
    margin-top: 4rem;
  }
}